import request from '@/utils/request.js'

// 课程学习列表
export function materialList(params) {
	return request({
		url: '/system/learnMobile/materialList',
		method: 'POST', 
		params
	})
}


// 课程学习详细信息
export function materialDetail(params) {
	return request({
		url: '/system/learnMobile/materialDetail',
		method: 'POST', 
		params
	})
}

// 保存课程学习
export function saveUserMaterial(params) {
	return request({
		url: '/system/learnMobile/saveUserMaterial',
		method: 'POST', 
		params
	})
}

// 查询用户学习记录分页列表
export function userMaterialRecord(params) {
	return request({
		url: '/system/learnMobile/userMaterialRecord',
		method: 'POST', 
		params
	})
}


// 我的试卷列表
export function paperList(params) {
	return request({
		url: '/system/learnMobile/paperList',
		method: 'POST', 
		params
	})
}

// 试卷题目信息(考试试卷)
export function paperQuestionInfo(params) {
	return request({
		url: '/system/learnMobile/paperQuestionInfo',
		method: 'POST', 
		params
	})
}

// 保存考试
export function saveUserPaper(params) {
	return request({
		url: '/system/learnMobile/saveUserPaper',
		method: 'POST', 
		params
	})
}

// 查看考试记录信息(试题解析)
export function userExaminationRecord(params) {
	return request({
		url: '/system/learnMobile/userExaminationRecord',
		method: 'POST', 
		params
	})
}

// 查看最新考试详情
export function recordByPaperId(params) {
	return request({
		url: '/system/learnMobile/recordByPaperId',
		method: 'GET', 
		params
	})
}

// 查看考试记录列表
export function userPaperRecordList(params) {
	return request({
		url: '/system/learnMobile/userPaperRecordList',
		method: 'POST', 
		params
	})
}